#include <bits/stdc++.h>
using namespace std;
long long n,k[100007],sum,ma,c,n1;
int main(){
cin>>n;
for(int i=1;i<=n;i++){
    cin>>k[i];
}
n1=n;
for(int j=1;j<=1000;j++){
sum+=k[n1];


    for(int i=1;i<=n1;i++){
        if(k[i]!=k[n1])k[i]--;

}
n1--;
if(n1==1)break;
}
cout<<sum<<endl;
return 0;
}
